## python-limits 2.8.0

=== Makefile ===
lint:
	black --check limits tests
	mypy limits
	flake8 limits tests

lint-fix:
	black tests limits
	mypy limits
	isort -r --profile=black tests limits
	autoflake8 -i -r tests limits

## python-limits 1.2.1

=== debian/changelog ===
python-limits (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #851272)

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 13 Jan 2017 17:41:55 +0100

=== debian/control ===
Source: python-limits
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-hiro,
               python-mock,
               python-nose,
               python-pymemcache,
               python-redis,
               python-rediscluster,
               python-setuptools,
               python-six,
               python3-all,
               python3-hiro,
               python3-mock,
               python3-nose,
               python3-pymemcache,
               python3-redis,
               python3-rediscluster,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-limits.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-limits.git
Homepage: https://limits.readthedocs.org

Package: python-limits
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}, python-pymemcache, python-redis, python-rediscluster, python-limits-doc
Description: Rate limiting utilities for Python - Python 2.X
 limits is a Python module providing utilities to implement rate limiting using
 various strategies, such as fixed or moving windows, and various storage
 backends, such as in in-memory storage, Redis or memcached.
 .
 This package provides the Python 2 version of the limits module.

Package: python3-limits
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-pymemcache, python3-redis, python3-rediscluster, python-limits-doc
Description: Rate limiting utilities for Python
 limits is a Python module providing utilities to implement rate limiting using
 various strategies, such as fixed or moving windows, and various storage
 backends, such as in in-memory storage, Redis or memcached.
 .
 This package provides the Python 3 version of the limits module.

Package: python-limits-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Rate limiting utilities for Python - Documentation
 limits is a Python module providing utilities to implement rate limiting using
 various strategies, such as fixed or moving windows, and various storage
 backends, such as in in-memory storage, Redis or memcached.
 .
 This package provides the documentation for the limits module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=limits

# disable remote tests
export PYBUILD_TEST_ARGS=-a !remote

%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html

override_dh_compress:
	dh_compress -Xchangelog.html

## python-limits 1.3

=== debian/changelog ===
python-limits (1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Refresh patches after git-dpm to gbp pq conversion

  [ Nicolas Dandrimont ]
  * New upstream release 1.3
    - Update remote tests patch
  * Update Standards-Version to 4.1.4 (no changes)
  * Bump debhelper compat to 11
  * Add autopkgtests

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 30 Apr 2018 18:03:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-hiro,
@@ -25,9 +25,9 @@
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-limits.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-limits.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-limits.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-limits
 Homepage: https://limits.readthedocs.org
 
 Package: python-limits

=== debian/tests/control ===
Depends: python3-all, python3-limits
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -c 'import limits; print(limits)'; done

Depends: python3-all, python3-limits, python3-hiro, python3-nose, python3-pymemcache, python3-redis, python3-rediscluster, redis-server, redis-tools, ruby, ruby-redis, memcached
Tests: python3-tests
Restrictions: allow-stderr, isolation-container

Depends: python-all, python-limits
Test-Command: cd $AUTOPKGTEST_TMP; for p in $(pyversions -s); do $p -c 'import limits; print(limits)'; done

Depends: python-all, python-limits, python-hiro, python-nose, python-pymemcache, python-redis, python-rediscluster, redis-server, redis-tools, ruby, ruby-redis, memcached
Tests: python-tests
Restrictions: allow-stderr, isolation-container

## python-limits 1.5.1

=== debian/changelog ===
python-limits (1.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * autopkgtest: Use redis-cli instead of redis-trib.rb. (Closes: #949276)
  * autopkgtest: Add more test redis instances, expected by tests.
  * autopkgtest: Run memcached for tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Feb 2021 12:54:37 -0700

python-limits (1.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937893).
  * Enable autopkgtest-pkg-python testsuite instead of manual one.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

  [ Andrey Rahmatullin ]
  * Set the python3-rediscluster B-D version to the version supporting modern
    python3-redis to make sure tests succeed.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 21 Sep 2019 14:26:30 +0500

=== debian/control ===
Source: python-limits
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-hiro,
               python3-mock,
               python3-nose,
               python3-pymemcache,
               python3-redis,
               python3-rediscluster (>= 2.0.0-1~),
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
Homepage: https://limits.readthedocs.org
Testsuite: autopkgtest-pkg-python

Package: python3-limits
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-pymemcache, python3-redis, python3-rediscluster, python-limits-doc
Description: Rate limiting utilities for Python
 limits is a Python module providing utilities to implement rate limiting using
 various strategies, such as fixed or moving windows, and various storage
 backends, such as in in-memory storage, Redis or memcached.
 .
 This package provides the Python 3 version of the limits module.

Package: python-limits-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Rate limiting utilities for Python - Documentation
 limits is a Python module providing utilities to implement rate limiting using
 various strategies, such as fixed or moving windows, and various storage
 backends, such as in in-memory storage, Redis or memcached.
 .
 This package provides the documentation for the limits module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=limits

# disable remote tests
export PYBUILD_TEST_ARGS=-a !remote

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Depends: python3-all, python3-limits, python3-hiro, python3-nose, python3-pymemcache, python3-redis, python3-rediscluster, redis-server, redis-tools, ruby, ruby-redis, memcached
Tests: python3-tests
Restrictions: allow-stderr, isolation-container

## python-limits 2.7.0

=== debian/changelog ===
python-limits (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1015120)
  * Use pytest instead of nose for tests. (Closes: #1018524)
  * Build-depend on python3-pymongo.
  * Restrict unit tests to test_limits.py, test_limit_granularities.py, and
    test_ratelimit_parser.py. All other tests require a local docker and
    docker-compose installation.
  * Run autopkgtests against memcached, add debian/tests/memcached_storage.py.
  * Drop patch 0001-Mark-tests-using-remote-entities-as-such.patch, upstream
    has moved away from nose to pytest.
  * Drop build dependency on python3-sphinx-rtd-theme.
  * Add build dependency on python3-sphinxext-opengraph,
    python3-sphinx-copybutton, python3-sphinx-paramlinks, and
    python3-sphinxcontrib.programoutput.
  * Add patch 0001-no-sphinx-inline-tabs.patch, the sphinx extension
    inline_tabs is not packaged in Debian.
  * Add patch 0002-no-unpackaged-theme.patch, the furo theme is not packaged
    in Debian either.
  * Add patch 0003-no-pytest-K.patch, pytest 7.1.2 does not support the -K
    option.
  * Add patch 0004-no-test-coverage.patch to avoid an unnecessary dependency
    on python3-pytest-cov.
  * Remove entries for limits/backports/counter.py and
    limits/backports/total_ordering.py from d/copyright. The files aren't
    shipped with python-limits any more.
  * Update Standards Version to 4.6.1, no change needed.
  * Add 0005-no-fonts-from-googleapis.patch and 0006-no-shields-io-img.patch
    to fix Lintian warning privacy-breach-generic.

 -- Emanuele Rocca <ema@debian.org>  Tue, 06 Sep 2022 13:26:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,20 @@
                python3-all,
                python3-hiro,
                python3-mock,
-               python3-nose,
+               python3-pytest,
+               python3-pytest-lazy-fixture,
                python3-pymemcache,
+               python3-pymongo,
                python3-redis,
                python3-rediscluster (>= 2.0.0-1~),
                python3-setuptools,
                python3-six,
                python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+               python3-sphinx-copybutton,
+               python3-sphinx-paramlinks,
+               python3-sphinxcontrib.programoutput,
+               python3-sphinxext-opengraph,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
 Homepage: https://limits.readthedocs.org

## python-limits 2.8.0

=== debian/changelog ===
python-limits (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Build-Depend on python3-typing-extensions.
  * Echo the python version being tested in python3-tests.
  * Flush memcached storage between Python versions in python3-tests.
    (Closes: #1025107)
  * Update copyright.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 12:28:08 -0400

python-limits (2.7.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-limits-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:52:45 +0100

python-limits (2.7.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:08:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-hiro,
@@ -21,11 +21,13 @@
                python3-sphinx-paramlinks,
                python3-sphinxcontrib.programoutput,
                python3-sphinxext-opengraph,
+               python3-typing-extensions,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
 Homepage: https://limits.readthedocs.org
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-limits
 Architecture: all
@@ -43,6 +45,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Rate limiting utilities for Python - Documentation
  limits is a Python module providing utilities to implement rate limiting using
  various strategies, such as fixed or moving windows, and various storage

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-limits-$1.tar.gz%" \
             https://github.com/alisaifee/limits/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-limits 3.6.0

=== Makefile ===
lint:
	black --check limits tests
	ruff limits tests
	mypy limits

lint-fix:
	black tests limits
	isort -r --profile=black tests limits
	ruff --fix limits tests 
	mypy limits

=== debian/changelog ===
python-limits (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/gbp.conf:
    - Pull and commit to pristine-tar branch.
  * d/watch:
    - Remove debian uupdate.
  * d/copyright:
    - Update copyright year to 2023 for debian/* files.
    - Add myself to copyright for debian/* files.
  * d/patches:
    - Refresh patches.
  * d/control:
    - Bump standards version from 4.6.1 to 4.6.2.
    - Add to Build-Depends (python3-importlib-resources, python3-etcd3,
      and python3-pytest-asyncio).

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 19 Oct 2023 07:56:35 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-mock,
                python3-pytest,
                python3-pytest-lazy-fixture,
+               python3-pytest-asyncio,
                python3-pymemcache,
                python3-pymongo,
                python3-redis,
@@ -22,7 +23,9 @@
                python3-sphinxcontrib.programoutput,
                python3-sphinxext-opengraph,
                python3-typing-extensions,
-Standards-Version: 4.6.1
+               python3-importlib-resources,
+               python3-etcd3,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
 Homepage: https://limits.readthedocs.org

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 export PYBUILD_NAME=limits
 
-# disable remote tests
-export PYBUILD_TEST_ARGS=-a !remote
+# Only run tests that don't require docker / docker-compose
+export PYBUILD_TEST_ARGS=tests/test_limits.py tests/test_limit_granularities.py tests/test_ratelimit_parser.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-limits 3.12.0

=== Makefile ===
lint:
	ruff check --select I
	ruff format --check limits tests
	ruff limits tests
	mypy limits

lint-fix:
	ruff check --select I --fix
	ruff format limits tests
	ruff --fix limits tests 
	mypy limits

=== debian/changelog ===
python-limits (3.12.0-1) unstable; urgency=medium

  * Team upload.
  * remove extraneous build dependencies:
    * python3-mock
    * python3-six
  * use new dh-sequence-python3

  [ Ileana Dumitrescu ]
  * New upstream version 3.12.0
  * d/control: Bump Standards-Version from 4.6.2 to 4.7.0
  * d/control: Remove unnecessary Build-Depends python3-pytest-lazy-fixture
  * d/rules: Do not run docker specific testing with test/conftest.py

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 May 2024 22:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-hiro,
-               python3-mock,
                python3-pytest,
-               python3-pytest-lazy-fixture,
                python3-pytest-asyncio,
                python3-pymemcache,
                python3-pymongo,
                python3-redis,
                python3-rediscluster (>= 2.0.0-1~),
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-sphinx-copybutton,
                python3-sphinx-paramlinks,
@@ -25,7 +22,7 @@
                python3-typing-extensions,
                python3-importlib-resources,
                python3-etcd3,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
 Homepage: https://limits.readthedocs.org

## python-limits 3.13.0

=== debian/changelog ===
python-limits (3.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 12:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-hiro,
                python3-pytest,

## python-limits 4.0.0

=== debian/changelog ===
python-limits (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jan 2025 15:14:48 +0000

python-limits (3.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Dec 2024 16:59:05 +0000

## python-limits 4.0.1

=== debian/changelog ===
python-limits (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 19:56:27 +0000

## python-limits 4.2

=== debian/changelog ===
python-limits (4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 16:52:07 +0000

## python-limits 4.4.1

=== Makefile ===
lint:
	ruff check --select I limits tests
	ruff check limits tests
	ruff format --check limits tests
	mypy limits

lint-fix:
	ruff check --select I --fix limits tests
	ruff check --fix limits tests
	ruff format limits tests
	mypy limits

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Ratelimit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Ratelimit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Ratelimit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Ratelimit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-limits (4.4.1-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 16:09:11 +0200

python-limits (4.4.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Add missing build-dep python3-deprecated (Closes: #1102771).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Sat, 12 Apr 2025 17:52:48 -0300

python-limits (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 16:39:30 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-hiro,
                python3-pytest,
                python3-pytest-asyncio,
+               python3-pytest-lazy-fixtures,
                python3-pymemcache,
                python3-pymongo,
                python3-redis,
-               python3-rediscluster (>= 2.0.0-1~),
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-copybutton,
@@ -21,9 +21,9 @@
                python3-sphinxcontrib.programoutput,
                python3-sphinxext-opengraph,
                python3-typing-extensions,
-               python3-importlib-resources,
+               python3-deprecated,
                python3-etcd3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-limits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-limits
 Homepage: https://limits.readthedocs.org
@@ -34,7 +34,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}, python3-pymemcache, python3-redis, python3-rediscluster, python-limits-doc
+Suggests: ${python3:Suggests}, python3-pymemcache, python3-redis, python-limits-doc
 Description: Rate limiting utilities for Python
  limits is a Python module providing utilities to implement rate limiting using
  various strategies, such as fixed or moving windows, and various storage

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=limits

# Only run tests that don't require docker / docker-compose
export PYBUILD_TEST_ARGS=--noconftest tests/test_limits.py tests/test_limit_granularities.py tests/test_ratelimit_parser.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Depends: python3-all, python3-limits, python3-hiro, python3-pymemcache, memcached
Tests: python3-tests
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-limits-$1.tar.gz%" \
             https://github.com/alisaifee/limits/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
